﻿@model BeerOverflow.Services.ModelsDTo.WebModels.BeerDetailsModel

@{
    ViewData["Title"] = "BeerDetails";
}
    <style>
        th {
            color: white;
        }

        td {
            color: white;
        }
         .btn btn-outline-warning
    {
        color: black
    }
    </style>
<h1>@Html.DisplayFor(model => model.BeerName)</h1>

<div>
    <hr />
    <dl class="row">
        <dt class="col-sm-12">
            <img src="@Url.Content(@Model.Image)" style="height: 200px; width: 100px;" />
        </dt>
        @*<dt class="col-sm-1">Abv %:</dt>*@
        <dt class="col-sm-1">Style:</dt>
        <dd class="col-sm-11" style="text-align:left">@Html.DisplayFor(model => model.StyleName)</dd>
        <dt class="col-sm-1">Abv %:</dt>
        <dd class="col-sm-11" style="text-align:left">@Html.DisplayFor(model => model.Abv)</dd>
        <dt class="col-sm-1">Brewery:</dt>
        <dd class="col-sm-11" style="text-align:left">@Html.DisplayFor(model => model.BreweryName)</dd>
        <dt class="col-sm-1">Country:</dt>
        <dd class="col-sm-11" style="text-align:left">@Html.DisplayFor(model => model.CountryName)</dd>
        <dt class="col-sm-1">Rating:</dt>
        <dd class="col-sm-11" style="text-align:left">@Html.DisplayFor(model => model.Rating)</dd>
        @if (User.Identity.IsAuthenticated)
        {
            <dt class="col-sm-2"><partial name="_BeerRatingPartial"></dt>
        }
    </dl>
    @if (User.Identity.IsAuthenticated)
    {
        <form asp-controller="User" asp-action="AddToList" asp-route-beerId="@Model.Id" method="post">
            <input type="submit" class="btn btn-outline-dark" value="Wishlist..." name="operation">
            <input type="submit" class="btn btn-outline-dark" value="Dranklist..." name="operation">
        </form>
    }
        @*<form>
                <button type="button" class="btn btn-outline-warning"><span class="glyphicon">&#xe005;</span> Wishlist...</button>
                <button type="button" class="btn btn-outline-warning"><span class="glyphicon">&#xe005;</span> Dranklist...</button>
            </form>*@
    </div>
@*<div class=col-md-8>
        <partial name="TestView">
    </div>*@
<div class=col-md-8>
    <partial name="_ListBeerReviewsPartial">
</div>



